net.sf.statcvs.pages

## Class DirectoryPageMaker

- java.lang.Object
- - net.sf.statcvs.pages.DirectoryPageMaker

-     public class DirectoryPageMaker
      extends java.lang.Object

  Version:
    $Id: DirectoryPageMaker.java,v 1.10 2009/05/08 13:18:48 benoitx Exp $
  Author:
    anja, Richard Cyganiak (richard@cyganiak.de)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryPageMaker(ReportConfig config, Directory directory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getURL(Directory directory)`
    `Page` | `toFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryPageMaker

          public DirectoryPageMaker(ReportConfig config,
                            Directory directory)

  - ### Method Detail

    - #### getURL

          public static java.lang.String getURL(Directory directory)

    - #### toFile

          public Page toFile()